Change log for commons-beanutils package in Ubuntu

122 of 22 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
commons-beanutils (1.9.3-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Build depend on junit4 instead of junit
  * Removed the unused Lintian override
  * Standards-Version updated to 3.9.8
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <email address hidden>  Mon, 03 Oct 2016 13:56:59 +0200

Available diffs

Superseded in yakkety-release on 2016-10-05
Published in xenial-release on 2016-01-30
Deleted in xenial-proposed (Reason: moved to release)
commons-beanutils (1.9.2-3) unstable; urgency=medium

  * Fixed the build failure with commons-parent 39 (enables the OSGI metadata)
    (Closes: #812472)

 -- Emmanuel Bourg <email address hidden>  Fri, 29 Jan 2016 17:36:26 +0100

Available diffs

Superseded in xenial-release on 2016-01-30
Deleted in xenial-proposed on 2016-01-31 (Reason: moved to release)
commons-beanutils (1.9.2-2) unstable; urgency=medium

  * Ignore the scm-publish plugin to fix the build failure with Maven 3
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <email address hidden>  Sat, 12 Dec 2015 22:50:19 +0100

Available diffs

Superseded in xenial-release on 2015-12-13
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-22 (Reason: moved to release)
commons-beanutils (1.9.2-1) unstable; urgency=medium


  * New upstream release
  * Disabled the BeanMap test which relies on a class not packaged in Debian
  * Moved the package to Git

 -- Emmanuel Bourg <email address hidden>  Fri, 30 May 2014 13:58:47 +0200

Available diffs

Superseded in utopic-release on 2014-05-30
Published in trusty-release on 2014-01-13
Deleted in trusty-proposed (Reason: moved to release)
commons-beanutils (1.9.1-1) unstable; urgency=medium


  * New upstream release

 -- Emmanuel Bourg <email address hidden>  Sun, 12 Jan 2014 21:45:55 +0100

Available diffs

Superseded in trusty-release on 2014-01-13
Deleted in trusty-proposed on 2014-01-14 (Reason: moved to release)
commons-beanutils (1.9.0-1) unstable; urgency=medium


  * New upstream release
  * Enabled the unit tests
  * debian/control:
    - Removed the build dependency on libclirr-maven-plugin-java
    - Added an explicit build dependency on libcommons-collections3-java
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Updated the package description
  * Switch to debhelper level 9

 -- Emmanuel Bourg <email address hidden>  Tue, 17 Dec 2013 07:55:03 +0100

Available diffs

Superseded in trusty-release on 2013-12-22
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
commons-beanutils (1.8.3-4) unstable; urgency=low


  * Team upload.
  * Bump Standards-Version to 3.9.4: no changes needed
  * debian/watch: Fixed the URL

 -- Emmanuel Bourg <email address hidden>  Thu, 04 Apr 2013 11:29:45 +0200

Available diffs

Superseded in saucy-release on 2013-04-28
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
commons-beanutils (1.8.3-3) unstable; urgency=low


  * Update Standards-Version: 3.9.3.
  * Install commons-beanutils into /usr/share/java (Closes: #667601).
  * Drop --no-parent option and add Build-Depends on libcommons-parent-java.
  * Remove Michael Koch from Uploaders list. (Closes: #654004).

 -- Damien Raude-Morvan <email address hidden>  Sun, 08 Apr 2012 17:54:26 +0200

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-10-17
commons-beanutils (1.8.3-2) unstable; urgency=low

  * Team upload.

  [ Damien Raude-Morvan ]
  * d/control: Drop Depends on any JRE as a Java library don't need to
    depends on a runtime (Java Policy)

  [ Torsten Werner ]
  * Update Standards-Version: 3.9.2.
  * Use Maven to build a package.
  * Change debian/watch to point to upstream's svn repo.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 09:12:37 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Superseded in oneiric-release on 2011-08-18
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
commons-beanutils (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Remove Arnaud Vandyck from Uploaders
  * Bump Standards-Version to 3.8.4: no changes needed
  * Switch to 3.0 (quilt) format:
    - Remove B-D on quilt
    - debian/rules: remove quilt.mk
    - Add d/source/format
  * Install RELEASE-NOTES.txt as upstream changelog
  * Install Javadoc API to /usr/share/doc/libcommons-beanutils-java/api/
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 13:46:06 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
commons-beanutils (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.

Available diffs

Superseded in lucid-release on 2010-01-04
Obsolete in karmic-release on 2013-03-04
commons-beanutils (1.8.0-2ubuntu2) karmic; urgency=low

  * Undo the last change.

 -- Matthias Klose <email address hidden>   Wed, 21 Oct 2009 10:15:32 +0200

Available diffs

Superseded in karmic-release on 2009-10-22
commons-beanutils (1.8.0-2ubuntu1) karmic; urgency=low

  * debian/control, debian/rules: Disable maven-repo-helper support for now.

 -- Thierry Carrez <email address hidden>   Wed, 26 Aug 2009 16:58:13 +0200

Available diffs

Superseded in karmic-release on 2009-08-26
Superseded in karmic-release on 2009-08-26
commons-beanutils (1.8.0-2) unstable; urgency=low

  * Upload to unstable.

Available diffs

Superseded in karmic-release on 2009-08-24
Superseded in karmic-release on 2009-05-11
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
commons-beanutils (1.8.0~beta-1ubuntu1) intrepid; urgency=low

  * (Build-)depend on default-jre/-jdk.

 -- Matthias Klose <email address hidden>   Wed, 30 Jul 2008 14:55:15 +0000

Available diffs

Superseded in intrepid-release on 2008-07-30
Obsolete in hardy-release on 2015-04-24
commons-beanutils (1.8.0~beta-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * Add a watch file.
  * debian/control:
    + Add Vcs-{Svn,Browser}.
    + Add Homepage field.

  [ Michael Koch ]
  * New upstream version.
  * Updated Standards-Version to 3.7.3.

 -- Matthias Klose <email address hidden>   Fri,  01 Feb 2008 15:18:17 +0000
Superseded in hardy-release on 2008-02-02
Superseded in hardy-release on 2007-12-19
Obsolete in gutsy-release on 2011-09-16
commons-beanutils (1.7.0-5build1) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <email address hidden>   Tue, 14 Aug 2007 10:56:06 +0000
Superseded in gutsy-release on 2007-08-15
commons-beanutils (1.7.0-5) unstable; urgency=low

  * Use java-gcj-compat instead of kaffe.
  * Moved libcommons-beanutils-java-doc to doc section.
  * Moved Build-Depends-Indep to Build-Depends.
  * Removed Wolfgang from Uploaders and added myself.
  * Updated Standards-Version.

 -- Lionel Porcheron <email address hidden>   Wed,  20 Jun 2007 08:48:35 +0100
Superseded in gutsy-release on 2007-06-20
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
commons-beanutils (1.7.0-4ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

Superseded in edgy-release on 2006-08-08
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
commons-beanutils (1.7.0-2ubuntu1) dapper; urgency=low


  * Build using java-gcj-compat.

 -- Matthias Klose <email address hidden>  Thu, 27 Oct 2005 22:02:25 +0000
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
commons-beanutils (1.6.1-4) unstable; urgency=low


  * rebuild by jikes with -source 1.3 option. 
    This keeps backward compatibility.

 -- Takashi Okamoto <email address hidden>  Fri,  6 Aug 2004 23:58:14 +0900
Obsolete in warty-release on 2008-01-09
commons-beanutils (1.6.1-2) unstable; urgency=low


  * Move to main.
  * use cdbs to build package.

 -- Takashi Okamoto <email address hidden>  Sat,  1 May 2004 20:49:12 +0900
122 of 22 results